Gets parameters

- « ReflectionFunctionAbstract::getNumberOfRequiredParameters

- ReflectionFunctionAbstract::getReturnType »

- PHP Manual
- ReflectionFunctionAbstract
- Gets parameters

# ReflectionFunctionAbstract::getParameters

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::getParameters — Gets parameters

### Description

public ReflectionFunctionAbstract::getParameters(): array

Get the parameters as an array of ReflectionParameter, in the order in which they are defined in the source.

### Parameters

This function has no parameters.

### Return Values

The parameters, as a ReflectionParameter object.

### See Also

- ReflectionFunctionAbstract::getNumberOfParameters() - Gets number of parameters
- func_get_args() - Returns an array comprising a function's argument list